Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011424ScribusOS-MacOSXpublic2013-02-17 03:302014-07-27 20:36
Reporteraberkvam 
Assigned Tocbradney 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionunable to reproduce 
PlatformMacintoshOSOS XOS Version10.6.8
Product Version1.4.2 
Target Version1.7 milestoneFixed in Version 
Summary0011424: Scribus won't start because of (older?) MacPorts Python installation
DescriptionAttempting to start Scribus resulted in the splash screen getting to "Plugin: loading scriptplugin" and stopping there no matter how long I waited. Oddly, choosing Quit from the Dock would allow Scribus to finish loading. However after a fairly long editing session even that stopped working and Force Quitting was the only option.

The Console logs showed the following:

Feb 16 19:07:03 andy-berkvams-macbook-pro [0x0-0x22d22d].net.scribus[21013]: File "<string>", line 6, in <module>
Feb 16 19:07:03 andy-berkvams-macbook-pro [0x0-0x22d22d].net.scribus[21013]: ImportError: dlopen(/opt/local/lib/python2.5/lib-dynload/cStringIO.so, 2): no suitable image found. Did find:
Feb 16 19:07:03 and
TagsNo tags attached.
Patch
Attached Files

- Relationships

-  Notes
(0029847)
aberkvam (reporter)
2013-02-17 03:36

The full description was cut off as well as the reproduce and additional sections. (I got a Varnish cache error when I posted but it apparently partially went through.) The original text follows:

=================
Description:

Attempting to start Scribus resulted in the splash screen getting to "Plugin: loading scriptplugin" and stopping there no matter how long I waited. Oddly, choosing Quit from the Dock would allow Scribus to finish loading. However after a fairly long editing session even that stopped working and Force Quitting was the only option.

The Console logs showed the following:

Feb 16 19:07:03 andy-berkvams-macbook-pro [0x0-0x22d22d].net.scribus[21013]: File "<string>", line 6, in <module>
Feb 16 19:07:03 andy-berkvams-macbook-pro [0x0-0x22d22d].net.scribus[21013]: ImportError: dlopen(/opt/local/lib/python2.5/lib-dynload/cStringIO.so, 2): no suitable image found. Did find:
Feb 16 19:07:03 andy-berkvams-macbook-pro [0x0-0x22d22d].net.scribus[21013]: /opt/local/lib/python2.5/lib-dynload/cStringIO.so: mach-o, but wrong architecture

I had an old installation of MacPorts v1.9.1. It hadn't been updated for 2-3 years since I wasn't using it anymore.

The PATH variable started with "/opt/local/bin:/opt/local/sbin"

cStringIO.so from Python 2.5 was in two places. Running file on the two files resulted in:

$ file /opt/local/lib/python2.5/lib-dynload/cStringIO.so
/opt/local/lib/python2.5/lib-dynload/cStringIO.so: Mach-O 64-bit bundle x86_64

$ file /System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/lib-dynload/cStringIO.so
/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/lib-dynload/cStringIO.so: Mach-O universal binary with 3 architectures
/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/lib-dynload/cStringIO.so (for architecture x86_64): Mach-O 64-bit bundle x86_64
/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/lib-dynload/cStringIO.so (for architecture i386) Mach-O bundle i386
/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/lib-dynload/cStringIO.so (for architecture ppc7400): Mach-O bundle ppc

 
Since I didn't need MacPorts anymore, I completely uninstalled it. The issue went away and Scribus loaded correctly.

I did not try updating any of the MacPorts ports. It is possible that updating them would have made the problem go away.

===================
Steps To Reproduce:

Try to run the downloaded official Scribus version on a Mac with an older MacPorts version. It should happen every time on launch.

===================
Additional Information:

Even if an updated MacPorts doesn't give this error and this is considered WONTFIX, it would be nice if Scribus threw some kind of error to the user instead of just locking up.
(0032816)
Kunda (manager)
2014-07-17 21:37

cbradney, this is an edge case but still it may be smart (based on what the report states the results are) to do something for the macport folks.
(0032818)
cbradney (administrator)
2014-07-17 22:54

Kunda. we'd have to see if its fixed with the 1.4.4 binary but as the situation on that specific Mac has disappeared we cannot test this further.
(0032844)
Kunda (manager)
2014-07-21 01:20

aberkvam, are you down for testing this on the 1.4.4 stable version ?
I don't run macports and cbradney is busy fixing more pressing bugs. If you are willing to reproduce it, we'll do our best to remedy it.
(0033014)
Kunda (manager)
2014-07-26 02:52

craig, What's the verdict? do we close because of this being an edge-case?
(0033043)
cbradney (administrator)
2014-07-27 20:36

Closing. Your system should be kept up to date for security reasons at least.

- Issue History
Date Modified Username Field Change
2013-02-17 03:30 aberkvam New Issue
2013-02-17 03:36 aberkvam Note Added: 0029847
2014-07-17 21:37 Kunda Note Added: 0032816
2014-07-17 21:37 Kunda Assigned To => cbradney
2014-07-17 21:37 Kunda Status new => feedback
2014-07-17 21:37 Kunda Target Version => 1.7 milestone
2014-07-17 22:54 cbradney Note Added: 0032818
2014-07-21 01:20 Kunda Note Added: 0032844
2014-07-26 02:52 Kunda Note Added: 0033014
2014-07-27 20:36 cbradney Note Added: 0033043
2014-07-27 20:36 cbradney Status feedback => closed
2014-07-27 20:36 cbradney Resolution open => unable to reproduce
2014-10-08 20:37 Kunda Category Mac OS => OS-MacOSX



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker